[CentOS] Missing dependencies

Paul Malinowski paul at fish4.co.uk
Mon Sep 25 19:43:29 UTC 2006


Todd,

From my experience I can bet that there is only one or two packages which are source of all problems.

a) Try to upgrade yum first.
b) try to remove and install again php (copy config files if you have edit them)


You can also force upgrade, but that's not recommended (perhaps there is major reason why you have that problems)

>> And how do you think it got so out of date?  Out of sync?

It's hard to say. Keep a track on most importent packages on your system.

Paul



-----Original Message-----
From:	centos-bounces at centos.org on behalf of Todd Cary
Sent:	Mon 25/09/2006 19:49
To:	CentOS mailing list
Cc:	
Subject:	Re: [CentOS] Missing dependencies

Paul -

There are more than the one I gave as an example.  What would you 
suggest for this list:

--> Running transaction check
--> Processing Dependency: php = 4.3.9-3.15 for package: php-mysql
--> Processing Dependency: php = 4.3.9-3.15 for package: php-mbstring
--> Processing Dependency: libgcj = 3.4.5 for package: libgcj-devel
--> Processing Dependency: php = 4.3.9-3.15 for package: php-gd
--> Processing Dependency: php = 4.3.9-3.15 for package: php-pear
--> Processing Dependency: httpd = 2.0.52-22.ent.centos4 for package: 
httpd-suexec
--> Processing Dependency: httpd = 2.0.52-22.ent.centos4 for package: 
httpd-manual
--> Finished Dependency Resolution

And how do you think it got so out of date?  Out of sync?

Todd

Paul Malinowski wrote:
> There are many ways to fix it, but IMHO the simplest one is to backup config, remove php-mysql, then yum update, and yum install php-mysql.
>
> It should be fine.
> Paul
>
>
> -----Original Message-----
> From:	centos-bounces at centos.org on behalf of Todd Cary
> Sent:	Mon 25/09/2006 15:05
> To:	centos at centos.org
> Cc:	
> Subject:	[CentOS] Missing dependencies
>
> I tried to update my Centos with yum update as I have done in the past, 
> but this time I received a list of dependencies.  This is a new 
> experience for me and I would appreciate any help/suggestions.  Here is 
> one of the lines:
>
> Error: Missing Dependency: php = 4.3.9-3.15 is needed by package php-mysql
>
> Todd
>
>   
> ------------------------------------------------------------------------
>
> _______________________________________________
> CentOS mailing list
> CentOS at centos.org
> http://lists.centos.org/mailman/listinfo/centos
>   

-- 
Ariste Software
2200 D Street Ext
Petaluma, CA 94952
(707) 773-4523



This e-mail and all attachments have been scanned by the HighSpeed Office virus scanning service powered by MessageLabs and no known viruses were detected.



This e-mail and all attachments have been scanned by the HighSpeed Office virus scanning service powered by MessageLabs and no known viruses were detected.
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/ms-tnef
Size: 3618 bytes
Desc: not available
Url : http://lists.centos.org/pipermail/centos/attachments/20060925/f1ad628a/attachment.bin


More information about the CentOS mailing list